Bug 1263744 - Cloud Tenants Description field length limit causes inventory collection to fail when OpenStack Tenant description is over 255 characters
Cloud Tenants Description field length limit causes inventory collection to f...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.4.0
All All
high Severity high
: GA
: 5.5.0
Assigned To: Greg Blomquist
Pete Savage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 11:01 EDT by Josh Carter
Modified: 2015-12-08 08:30 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Cloud tenants description field length limit causes inventory collection to fail when OpenStack tenant description is over 255 characters. As a result, during the initial discovery of an Openstack environment, CloudForms receives 404 error responses for different instances causing the inventory collection to fail. Since OpenStack allows a tenant description value larger than 255 characters, CFME OpenStack inventory collection now supports tenant descriptions larger than 255 characters and inventory collection succeeds without any errors.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:30:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Greg Blomquist 2015-09-30 16:23:17 EDT
https://github.com/ManageIQ/manageiq/pull/4603
Comment 5 CFME Bot 2015-10-26 15:45:41 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/dd3048b2bf88c988f081769507395c3c8d22d164

commit dd3048b2bf88c988f081769507395c3c8d22d164
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Wed Sep 30 16:12:19 2015 -0400
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Thu Oct 1 10:53:07 2015 -0400

    Change cloud tenants description to text
    
    The 255 character limit on the cloud tenant description field causes inventory
    collection to irreparably fail with the error:
    
    PGError: ERROR:  value too long for type character varying(255)
    
    Since OpenStack allows a tenant description value larger than 255 characters,
    openstack inventory collection must support tenant descriptions larger than 255
    characters.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1263744

 .../20150930201117_change_cloud_tenant_description_to_text.rb    | 9 +++++++++
 1 file changed, 9 insertions(+)
 create mode 100644 db/migrate/20150930201117_change_cloud_tenant_description_to_text.rb
Comment 7 Pete Savage 2015-11-09 14:30:12 EST
Verified in 5.5.0.9
Comment 9 errata-xmlrpc 2015-12-08 08:30:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.